--- title: "Capture Transaction" slug: "capture-transaction" updated: 2025-09-22T20:31:28Z published: 2025-09-22T20:31:28Z canonical: "developer.upgrade.com/capture-transaction" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.upgrade.com/llms.txt > Use this file to discover all available pages before exploring further. # Capture Transaction Post/v1/transactions/{transactionId}/capture When you’re ready to request payments for your customer’s order, you can submit a POST request to the capture endpoint. Flex Pay provides the flexibility to either fully or partially capture the transaction – this may be useful when you are only requesting payments for a portion of the order at this moment, while the remaining amount will be requested at a later date. To fully capture a transaction, simply submit a capture request with an amount in the request equal to the remaining_amount. To partially capture a transaction, submit a capture request with an amount less than the `remaining_amount`. SecurityHTTPType bearer Header parametersIdempotency-KeystringRequired Idempotency key to prevent duplicate requests. Path parameterstransactionIdstring (uuid) Required Body parametersobject amountnumber (decimal) Amount voided, captured, or refunded. Optional. If left blank, uses the full remaining amount. Minimum0 currencystring ISO 4217 currency code for this transaction. Required if amount is provided. merchant_reference_idstring Optional field for merchants to enter their own reference ID to aid in reconciliation. Responses200 Successful response Expand Allobject idstring (uuid) The unique transaction_id generated when an authorization is submitted for an order. original_amountnumber (decimal) The original amount the transaction was authorized for. remaining_amountnumber (decimal) The remaining amount that can be captured. captured_amountnumber (decimal) The cumulative amount that has been successfully captured. refunded_amountnumber (decimal) The cumulative amount that has been successfully refunded. authorization_expirationstring (date-time) Once a transaction is authorized, the merchant has a limited number of days to capture on the remaining amount. RFC3339 format. order_idstring (uuid) The Flex Pay order that the transaction is authorized for. createdstring (date-time) Timestamp of when this transaction was first authorized. RFC3339 format. currencystring ISO 4217 currency code for the amount fields. merchant_reference_idstring Optional field for merchants to enter their own reference ID to aid in reconciliation. statusstring The current status of the transaction. Valid values[ "AUTHORIZED", "AUTHORIZED_FAILED", "AUTHORIZATION_EXPIRED", "CAPTURED", "PARTIALLY_CAPTURED", "REFUNDED", "PARTIALLY_REFUNDED", "VOIDED" ] events Array of object (TransactionEventAto) A list of transaction events. See TransactionEventAto object. object idstring (uuid) The unique event_id generated for the transaction event. amountnumber (decimal) The amount corresponding to the transaction event. currencystring ISO 4217 currency code for the amount field. createdstring (date-time) Timestamp of when this transaction event took place. RFC3339 format. merchant_reference_idstring Optional field for merchants to enter their own reference ID to aid in reconciliation. typestring The type of action that this event represents. Valid values[ "AUTHORIZATION", "VOID", "CAPTURE", "REFUND" ] 400 response for errors object codeNamestring The name of the error codes. Valid values[ "INSUFFICIENT_FUNDS", "OVER_CAPTURE_ERROR", "OVER_REFUND_ERROR", "OVER_VOID_ERROR", "NO_AMOUNT_LEFT", "LINE_EXPIRED_ERROR", "AUTH_EXPIRED_ERROR", "CURRENCY_MISMATCH_ERROR", "TRANSACTION_NOT_FOUND", "INCORRECT_ORDER_ID", "INVALID_INPUT", "NOT_READABLE_INPUT", "IDEMPOTENCY_KEY_ALREADY_USED", "MISSING_IDEMPOTENCY_KEY", "UNEXPECTED_ERROR" ] messagestring 401 Unauthorized (you don't have access) 403 Forbidden(you don't have the permission to perform this operation) 404 response for errors object codeNamestring The name of the error codes. Valid values[ "INSUFFICIENT_FUNDS", "OVER_CAPTURE_ERROR", "OVER_REFUND_ERROR", "OVER_VOID_ERROR", "NO_AMOUNT_LEFT", "LINE_EXPIRED_ERROR", "AUTH_EXPIRED_ERROR", "CURRENCY_MISMATCH_ERROR", "TRANSACTION_NOT_FOUND", "INCORRECT_ORDER_ID", "INVALID_INPUT", "NOT_READABLE_INPUT", "IDEMPOTENCY_KEY_ALREADY_USED", "MISSING_IDEMPOTENCY_KEY", "UNEXPECTED_ERROR" ] messagestring 500 response for errors object codeNamestring The name of the error codes. Valid values[ "INSUFFICIENT_FUNDS", "OVER_CAPTURE_ERROR", "OVER_REFUND_ERROR", "OVER_VOID_ERROR", "NO_AMOUNT_LEFT", "LINE_EXPIRED_ERROR", "AUTH_EXPIRED_ERROR", "CURRENCY_MISMATCH_ERROR", "TRANSACTION_NOT_FOUND", "INCORRECT_ORDER_ID", "INVALID_INPUT", "NOT_READABLE_INPUT", "IDEMPOTENCY_KEY_ALREADY_USED", "MISSING_IDEMPOTENCY_KEY", "UNEXPECTED_ERROR" ] messagestring